---
type: api
title: Retrieve the status of the bulk deletion
description: Retrieve the status of the bulk deletion operation for SLOs.  This endpoint returns the status of the bulk deletion operation, including whether it is completed and the results of the operation.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-bulkdeletestatusop
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-bulkdeletestatusop
products:
  - Kibana
---

# Retrieve the status of the bulk deletion

- Server: `https://{kibana_url}`

## Paths

- `GET` `/s/{spaceId}/api/observability/slos/_bulk_delete/{taskId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

#### Path Parameters

- `spaceId` (string)
  An identifier for the space. If `/s/` and the identifier are omitted from the path, the default space is used.
- `taskId` (string)
  The task id of the bulk delete operation

## Description

Retrieve the status of the bulk deletion operation for SLOs.  This endpoint returns the status of the bulk deletion operation, including whether it is completed and the results of the operation.

## Responses

#### `200`

Successful response

`application/json`

- `error` (string)
  The error message if the bulk deletion operation failed
- `isDone` (boolean)
  Indicates if the bulk deletion operation is completed
- `results` ([] object)
  The results of the bulk deletion operation, including the success status and any errors for each SLO
  - `error` (string)
    The error message if the deletion operation failed for this SLO
  - `id` (string)
    The ID of the SLO that was deleted
  - `success` (boolean)
    The result of the deletion operation for this SLO
#### `400`

Bad request

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
#### `401`

Unauthorized response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
#### `403`

Forbidden response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /s/{spaceId}/api/observability/slos/_bulk_delete/{taskId}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/s/{spaceId}/api/observability/slos/_bulk_delete/{taskId}" \
  -H "kbn-xsrf: true"
```

## Response Examples

#### Completed bulk deletion

```json
{
  "isDone": true,
  "results": [
    {
      "id": "8853df00-ae2e-11ed-90af-09bb6422b258",
      "success": true
    },
    {
      "id": "d077e940-1515-11ee-9c50-9d096392f520",
      "success": true
    }
  ]
}
```

#### Completed with partial failure

```json
{
  "isDone": true,
  "results": [
    {
      "id": "8853df00-ae2e-11ed-90af-09bb6422b258",
      "success": true
    },
    {
      "error": "SLO [d077e940-1515-11ee-9c50-9d096392f520] not found",
      "id": "d077e940-1515-11ee-9c50-9d096392f520",
      "success": false
    }
  ]
}
```

#### Bad request

```json
{
  "error": "Bad Request",
  "message": "Invalid value \u0027foo\u0027 supplied to: taskId",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "security_exception: action [slo_write] is unauthorized for user",
  "statusCode": 403
}
```

